guichan (0.8.2-21build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:22:22 +0000

guichan (0.8.2-21build1) noble; urgency=high

  * No change rebuild against liballegro4.4t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:17:45 +0100

guichan (0.8.2-21) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 14 Sep 2022 14:37:37 +0200

guichan (0.8.2-20) unstable; urgency=medium

  * Adjust lintian overrides.
  * Bump Standards-Version to 4.5.1.
  * Bump debhelper-compat to level 13.
    - Add no required files to debian/not-installed.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 19 Nov 2020 14:57:13 +0100

guichan (0.8.2-19) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0.
  * Use the new debhelper-compat notation, and drop the d/compat file.
  * Move lintian-overrides file to source directory.
  * Adjust source lintian-overrides.
  * Set Rules-Requires-Root: no.
  * Fix renamed lintian tag.
  * Install files from example directory.
  * Add patch 05-link-additional-libs to add missing links against libraries.
    Closes: #935140, #935139

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 23 Jan 2020 16:32:57 +0100

guichan (0.8.2-18) unstable; urgency=medium

  *  Drop now useless dh-autoreconf.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 02 Aug 2017 09:22:49 +0200

guichan (0.8.2-17) unstable; urgency=medium

  * Bump debian/compat to level 10.
  * Bump Standards-Version to 4.0.0 (no changes required).
  * Drop dbg package.
  * Remove trigger files again.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 21 Jul 2017 14:13:05 +0200

guichan (0.8.2-16) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8 (no changes required).
  * Remove obsolete URL from debian/watch. The project is inactive.
  * Enable full hardening.
  * Add patch 04-spelling-errors to fix spelling errors.
  * Use debhelper triggers.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 23 Dec 2016 09:43:00 +0100

guichan (0.8.2-15) unstable; urgency=medium

  * Add patch 02-extended-utf8-support to enhance UTF8 support.
    Closes: #702994
  * Append/Bump library names with v5 for the GCC 5 transition.
    Closes: #791064
  * Add patch 03-no-focushandler to fix a potential crash if no focushandler
    is set.
  * Remove unused override.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 04 Aug 2015 11:17:54 +0200

guichan (0.8.2-14) unstable; urgency=medium

  * Bump Standards-Version to 3.9.6 (no changes needed).
  * Remove deprecated hardening-wrapper.
  * Overwrite lintian warning about missing GPG signature.
  * Enable multi arch for all library packages.
  * Update to DEP5 debian/copyright format.
  * Adjust lintian overrides.
  * Fix lintian warning static-library-has-unneeded-section.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 29 Jul 2015 22:02:24 +0200

guichan (0.8.2-13) unstable; urgency=low

  * Replace my old e-mail address in debian/copyright.
  * Bump Standards-Version to 3.9.5 (no changes needed).
  * Don't explicitly request xz compression - dpkg 1.17 does this by default.
  * Remove unused hardening-no-fortify-functions lintian override.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 12 Dec 2013 10:01:21 +0100

guichan (0.8.2-12) unstable; urgency=low

  * Uploading to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 05 May 2013 20:35:34 +0200

guichan (0.8.2-11) experimental; urgency=low

  * Bump Standards-Version to 3.9.4 (no changes needed).
  * Switch to xz compression and add a Pre-Depends on dpkg.
  * Move to minimal debhelper.
    - Adjust lintian overrides.
  * Use dh-autoreconf.
  * Overwrite false positive dev-pkg-without-shlib-symlink lintian warnings.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 14 Jan 2013 20:27:11 +0100

guichan (0.8.2-10) unstable; urgency=low

  * Add patch 01-sdl-dependent-link from Stephen M. Webb, which adds SDL to
    avoid runtime errors of applications build against guichan.
    Closes: #674219
  * Overwrite false positive hardening-no-fortify-functions lintian warnings.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 05 Jun 2012 20:17:57 +0200

guichan (0.8.2-9) unstable; urgency=low

  * Fix again debian/watch.
  * Wrap all debian/control fields.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 10 Mar 2012 00:24:22 +0100

guichan (0.8.2-8) unstable; urgency=low

  * Bump Standards-Version to 3.9.3 (no changes needed).
  * Override lintian warnings about no-symbols-control-file.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 25 Feb 2012 22:01:39 +0100

guichan (0.8.2-7) unstable; urgency=low

  * Fix debian/watch file.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 28 Jan 2012 16:23:49 +0100

guichan (0.8.2-6) unstable; urgency=low

  * Add missing build-arch and build-indep debian/rules target.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 25 Jan 2012 16:18:33 +0100

guichan (0.8.2-5) unstable; urgency=low

  * Remove deprecated reference to guichan documentation from manpage.
    Closes: #627485

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 29 May 2011 10:31:30 +0200

guichan (0.8.2-4) unstable; urgency=low

  * Drop .la files.
    Closes: #621236

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 14 May 2011 14:05:07 +0200

guichan (0.8.2-3) unstable; urgency=low

  * Bump Standards-Version to 3.9.2 (no changes needed).
  * Build with hardening-wrapper.
  * Wrap build dependencies.
  * Bump debhelper version to 7.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 30 Apr 2011 16:20:36 +0200

guichan (0.8.2-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.1 (no changes needed).
  * Convert package to the 3.0 (quilt) format.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 06 Feb 2011 17:45:03 +0100

guichan (0.8.2-1) unstable; urgency=low

  * New upstream release.
    - We do not need the config.{sub,guess} hacks anymore.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 05 Oct 2009 21:29:21 +0200

guichan (0.8.1-7) unstable; urgency=low

  * Bump Standards-Version to 3.8.3 (no changes needed).
  * Add autotools-dev to build depends and use up to date config.{sub,guess}
    scripts. This fixes an FTBFS on avr32.
    Closes: #549478

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 05 Oct 2009 18:51:46 +0200

guichan (0.8.1-6) unstable; urgency=low

  * Fix typo in get-orig-source target.
  * Change my email address in debian/copyright.
  * Bump Standards-Version to 3.8.2 (no changes needed).

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 18 Jun 2009 08:58:30 +0200

guichan (0.8.1-5) unstable; urgency=low

  * Add missing ${misc:Depends}. Thanks lintian.
  * Add get-orig-source target.
  * Bump Standards-Version to 3.8.1 (no changes needed).
  * Change section of libguichan-0.8.1-1-dbg to debug.
  * Change my email address.
  * Remove DM-Upload-Allowed control field.
  * Fix lintian warning binary-control-field-duplicates-source.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 20 Apr 2009 19:41:40 +0200

guichan (0.8.1-4) unstable; urgency=high

  * Urgency set to high, because it fixes a release critical bug.
  * debian/copyright:
    - Use the license as written in COPYING, not some other copy of it.
      Thanks to Evgeni Golov for his patch.
      Closes: #513834
    - Update the copyright years.
    - Add informations about the debian/ packaging license.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Tue, 3 Feb 2009 18:06:07 +0200

guichan (0.8.1-3) unstable; urgency=low

  * Added missing conflicts on libguichan{0,1,2}. Thanks for spotting this to
    Devid Antonio Filoni.
    Closes: #492809

 -- Patrick Matthäi <patrick.matthaei@web.de>  Tue, 29 Jul 2008 18:09:51 +0200

guichan (0.8.1-2) unstable; urgency=low

  * Uploading to unstable.
  * Updated to Standards-Version 3.8.0 (no changes needed).
  * Replaced obsolete (build) depend on "xlibmesa-gl-dev | libgl-dev" with
    libgl1-mesa-dev. Thanks lintian.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Sun, 20 Jul 2008 11:10:50 +0100

guichan (0.8.1-1) experimental; urgency=low

  * New upstream release.
    - Finaly we have now a working SONAME support.
      Closes: #428186
  * Uploading to experimental, because some reverse depends have to be ported
    to this new guichan version.
  * Split guichan into five different packages (libguichan, libguichan-dbg,
    libguichan-opengl, libguichan-allegro, libguichan-sdl, libguichan-dev).
  * Moved manpage to the libguichan-dev package. So parallel installations
    of different guichan packages will be able.
  * Removed some older package cleanups in the clean target.
  * Removed old guichan-dev.doc-base.
  * Removed some useless comments in manpage.
  * Added DM-Upload-Allowed control field.
  * Added watch file.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Mon, 12 Apr 2008 10:47:59 +0100

guichan (0.7.1-2) unstable; urgency=low

  * Removed dpatch. There are no patches available.
  * Removed the versioned Build-Depends at the libsdl1.2 packages.
  * Removed the AUTHORS docs file.
  * Updated Standards-Version to 3.7.3 (no changes needed).
  * Added Homepage control field.
  * Added libguichan2-dbg package.
  * debian/copyright:
    - Added missing Copyright and Upstream Author field.
    - Added spaces in front of the copyright statements.
  * debian/rules:
    - Made configure flags more human readable.
    - Ensure that opengl, sdl, sdlimage and allegro will are enabled.
    - Removed not needed removing of the debian/libguichan directorys,
      because it is the job of dh_clean.
    - Moved dh_install call from install to binary-arch target.
    - Removed trailing "-" from $(MAKE) distclean.
    - Removed not needed dh-make comments.
    - Removed duplicated call of dh_installdeb.
    - Removed not needed calls of dh_installexamples, dh_installdirs
      and dh_link.
    - Removed copying of config.guess and config.sub. They are not needed
      in this case and just grow up the diff.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Mon, 24 Mar 2008 23:30:11 +0100

guichan (0.7.1-1) unstable; urgency=low

  * New upstream release.
  * Removed destroy-dropdown-widget patch, because
    it is in upstream now.
  * Bump soname.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Thu, 26 Jul 2007 18:01:22 +0200

guichan (0.6.1-3.2) unstable; urgency=low

  * Actually include some files in new binary packages.

 -- Michael Koch <konqueror@gmx.de>  Sat, 21 Jul 2007 14:38:23 -0100

guichan (0.6.1-3.1) unstable; urgency=low

  * NMU
  * Bump soname. Closes: #428186.
  * Use ${binary:Version} instead of ${Source-Version} to make package binNMU
    safe.

 -- Michael Koch <konqueror@gmx.de>  Tue, 10 Jul 2007 08:51:26 +0200

guichan (0.6.1-3) unstable; urgency=low

  * debian/control: Added dpatch to the build-depends.
  * debian/compat: Added missing newline.
  * debian/rules: Added dpatch.
  * Added destroy-dropdown-widget patch. Thanks to Guillaume
    Melquiond <guillaume.melquiond@ens-lyon.fr>.
    Closes: #429245

 -- Patrick Matthäi <patrick.matthaei@web.de>  Mon, 18 Jun 2007 09:12:58 +0200

guichan (0.6.1-2) unstable; urgency=low

  * Uploaded libguichan to Debian unstable.
  * Setted new package maintainer to Patrick Matthäi <patrick.matthaei@web.de>.
  * Updated debhelper version.
  * Updated config.guess and config.sub.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Thu, 10 May 2007 21:22:21 +0200

guichan (0.6.1-1) experimental; urgency=low

  * New upstream release. Fix a issue with libtool.

 -- FERREIRA Yohann <bertram@cegetel.net>  Mon, 30 Jan 2007 22:11:00 +0200

guichan (0.6.0-1) unstable; urgency=low

  * New upstream release.

 -- FERREIRA Yohann <bertram@cegetel.net>  Fri, 16 Jan 2007 00:43:00 +0200

guichan (0.5.0-2) unstable; urgency=low

  * Merged patch from Sam Hocevar to close some issues using his experience. ;)

 -- FERREIRA Yohann <bertram@cegetel.net>  Wed, 16 Dec 2006 23:17:32 +0200

guichan (0.5.0-1) unstable; urgency=low

  * New awaited release of guichan in debian. Thanks for your patience. (closes: #382852).

 -- FERREIRA Yohann <bertram@cegetel.net>  Wed, 16 Aug 2006 23:25:54 +0200

guichan (0.4.0-4.1) unstable; urgency=high

  * Non-maintainer upload.
  * debian/control:
    + Fix short descriptions.
    + Depend and build-depend on liballegro4.2-dev instead of liballegro-dev
      (Closes: #379099).
    + Depend and build-depend on xlibmesa-gl-dev | libgl-dev instead of
      xlibmesa-gl-dev (Closes: #356133).
    + Set policy to 3.7.2.
  * src/guichan.cpp:
    + Fix a GCC 4.2 FTBFS issue (Closes: #361405).
  * debian/rules:
    + Run dh_installdeb otherwise debhelper's maintainer scripts don't get
      installed.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed,  1 Nov 2006 11:31:52 +0100

guichan (0.4.0-4) unstable; urgency=low

  * Initial upload to Debian archive (closes: #334290).
  * Corrected package name, description, copyright, control, rules,
    compat file and updated changelog.

 -- FERREIRA Yohann <bertram@cegetel.net>  Thu, 16 Oct 2005 23:45:59 +0200

libguichan (0.4.0-3) unstable; urgency=low

  * Build against gcc-4.0.1-9.
  * Compilable on amd64.

 -- FERREIRA Yohann <bertram@cegetel.net>  Thu, 25 Sep 2005 20:22:59 +0200

libguichan (0.4.0-2) unstable; urgency=low

  * Build against gcc-4.0.1.

 -- FERREIRA Yohann <bertram@cegetel.net>  Thu, 07 Jul 2005 20:22:59 +0200

libguichan (0.4.0-1) unstable; urgency=low

  * Second Release.

 -- FERREIRA Yohann <bertram@cegetel.net>  Wed, 18 May 2005 23:03:59 +0200


libguichan (0.3.0-1) unstable; urgency=low

  * Initial Release.

 -- FERREIRA Yohann <bertram@cegetel.net>  Sun, 10 Apr 2005 17:48:59 +0200
